"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LanguageTags = void 0;
/**
 * BCP 47 Language Tags that can be used for `SpeechSynthesisVoice.lang`.
 */
var LanguageTags;
(function (LanguageTags) {
    LanguageTags["ARABIC_SAUDI_ARABIA"] = "ar-SA";
    LanguageTags["CZECH_CZECH_REPUBLIC"] = "cs-CZ";
    LanguageTags["DANISH_DENMARK"] = "da-DK";
    LanguageTags["GERMAN_GERMANY"] = "de-DE";
    LanguageTags["MODERN_GREEK_GREECE"] = "el-GR";
    LanguageTags["ENGLISH_AUSTRALIA"] = "en-AU";
    LanguageTags["ENGLISH_UNITED_KINGDOM"] = "en-GB";
    LanguageTags["ENGLISH_IRELAND"] = "en-IE";
    LanguageTags["ENGLISH_UNITED_STATES"] = "en-US";
    LanguageTags["ENGLISH_SOUTH_AFRICA"] = "en-ZA";
    LanguageTags["SPANISH_SPAIN"] = "es-ES";
    LanguageTags["SPANISH_MEXICO"] = "es-MX";
    LanguageTags["FINNISH_FINLAND"] = "fi-FI";
    LanguageTags["FRENCH_CANADA"] = "fr-CA";
    LanguageTags["FRENCH_FRANCE"] = "fr-FR";
    LanguageTags["HEBREW_ISRAEIL"] = "he-IL";
    LanguageTags["HINDI_INDIA"] = "hi-IN";
    LanguageTags["HUNGARIAN_HUNGARY"] = "hu-HU";
    LanguageTags["INDONESIAN_INDONESIA"] = "id-ID";
    LanguageTags["ITALIAN_ITALY"] = "it-IT";
    LanguageTags["JAPANESE_JAPAN"] = "ja-JP";
    LanguageTags["KOREAN_REPUBLIC_OF_KOREA"] = "ko-KR";
    LanguageTags["DUTCH_BELGIUM"] = "nl-BE";
    LanguageTags["DUTCH_NETHERLANDS"] = "nl-NL";
    LanguageTags["NORWEGIAN_NORWAY"] = "no-NO";
    LanguageTags["POLISH_POLAND"] = "pl-PL";
    LanguageTags["PORTUGUESE_BRAZIL"] = "pt-BR";
    LanguageTags["PORTUGUESE_PORTUGAL"] = "pt-PT";
    LanguageTags["ROMANIAN_ROMANIA"] = "ro-RO";
    LanguageTags["RUSSIAN_RUSSIAN_FEDERATION"] = "ru-RU";
    LanguageTags["SLOVAK_SLOVAKIA"] = "sk-SK";
    LanguageTags["SWEDISH_SWEDEN"] = "sv-SE";
    LanguageTags["THAI_THAILAND"] = "th-TH";
    LanguageTags["TURKISH_TURKEY"] = "tr-TR";
    LanguageTags["CHINESE_CHINA"] = "zh-CN";
    LanguageTags["CHINESE_HONG_KONG"] = "zh-HK";
    LanguageTags["CHINESE_TAIWAN"] = "zh-TW";
})(LanguageTags || (exports.LanguageTags = LanguageTags = {}));
